## org.gnu.gdk
Class EventKey

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventKey

public class EventKey
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventKey(Handle handle)`

Method Summary
`int` `getGroup()`
`protected static int` `getGroup(Handle obj)`
`protected static int` `getHardwareKeycode(Handle obj)`
`int` `getKeyVal()`
`protected static int` `getKeyval(Handle obj)`
`int` `getLength()`
`protected static int` `getLength(Handle obj)`
`ModifierType` `getModifierKey()`
`protected static boolean` `getSendEvent(Handle obj)`
`int` `getState()`
`protected static int` `getState(Handle obj)`
`java.lang.String` `getString()`
`protected static java.lang.String` `getString(Handle obj)`
`protected static int` `getTime(Handle obj)`
`protected static int` `getType(Handle obj)`
`Window` `getWindow()`
`protected static Handle` `getWindow(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventKey

    public EventKey(Handle handle)

Method Detail

### getKeyVal

    public int getKeyVal()

### getString

    public java.lang.String getString()

### getGroup

    public int getGroup()

### getLength

    public int getLength()

### getState

    public int getState()

### getModifierKey

    public ModifierType getModifierKey()

### getWindow

    public Window getWindow()

### getType

    protected static final int getType(Handle obj)

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getTime

    protected static final int getTime(Handle obj)

### getState

    protected static final int getState(Handle obj)

### getKeyval

    protected static final int getKeyval(Handle obj)

### getLength

    protected static final int getLength(Handle obj)

### getString

    protected static final java.lang.String getString(Handle obj)

### getHardwareKeycode

    protected static final int getHardwareKeycode(Handle obj)

### getGroup

    protected static final int getGroup(Handle obj)